<?php 

class Kategori extends CI_Controller{
	// public function elektronik()
	// {
	// 	$data = [
	// 		'method' => $this->uri->segment(2,0),
	// 		'str' => 'elektronik',
	// 		'elektronik' => $this->model_kategori->data_elektronik()->result()
	// 	];
	// 	$this->load->view('templates/header', $data);
	// 	$this->load->view('templates/sidebar', $data);
	// 	$this->load->view('elektronik', $data);
	// 	$this->load->view('templates/footer', $data);
	// }

	// public function struktur_kepengurusan()
	// {
	// 	$data = [
	// 		'method' => $this->uri->segment(2,0),
	// 		'str' => 'struktur',
	// 		'struktur_kepengurusan' => $this->model_kategori->data_struktur_kepengurusan()->result()
	// 	];
	// 	$this->load->view('templates/header', $data);
	// 	$this->load->view('templates/sidebar', $data);
	// 	$this->load->view('struktur_kepengurusan', $data);
	// 	$this->load->view('templates/footer', $data);
	// }

	public function ayam_pedaging()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'ayam_pedaging',
			'data' => $this->model_kategori->data_barang_by_kat('Ayam Pedaging')->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('v_barang', $data);
		$this->load->view('templates/footer', $data);
	}

	public function ayam_petelur()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'ayam_petelur',
			'data' => $this->model_kategori->data_barang_by_kat('Ayam Petelur')->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('v_barang', $data);
		$this->load->view('templates/footer', $data);
	}

	public function bebek_pedaging()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'bebek_pedaging',
			'data' => $this->model_kategori->data_barang_by_kat('Bebek Pedaging')->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('v_barang', $data);
		$this->load->view('templates/footer', $data);
	}

	public function bebek_petelur()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'bebek_petelur',
			'data' => $this->model_kategori->data_barang_by_kat('Bebek Petelur')->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('v_barang', $data);
		$this->load->view('templates/footer', $data);
	}

	public function onderdil()
	{
		$data = [
			'onderdil' => $this->model_kategori->data_onderdil()->result(),
			'method' => $this->uri->segment(2,0),
			'str' => 'onderdil',
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('onderdil', $data);
		$this->load->view('templates/footer', $data);
	}

	public function custom_rangka()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'rangka',
			'custom_rangka' => $this->model_kategori->data_custom_rangka()->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('custom_rangka', $data);
		$this->load->view('templates/footer', $data);
	}
	public function informasi_toko()
	{
		$data = [
			'method' => $this->uri->segment(2,0),
			'str' => 'informasi',
			'informasi_toko' => $this->model_kategori->data_informasi_toko()->result()
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('informasi_toko', $data);
		$this->load->view('templates/footer', $data);
	}
	// public function kegiatan_komunitas()
	// {
	// 	$method = $this->uri->segment(2,0);
	// 	$pencarian = $this->model_kategori->data_kegiatan_komunitas()->result();
	// 	$data = [
	// 		'kegiatan_komunitas' => $pencarian,
	// 		'str' => 'kegiatan',
	// 		'method' => $method
	// 	];
	// 	$this->load->view('templates/header', $data);
	// 	$this->load->view('templates/sidebar', $data);
	// 	$this->load->view('kegiatan_komunitas', $data);
	// 	$this->load->view('templates/footer', $data);
	// }
	
	public function pencarian()
	{
		$method = $this->uri->segment(2,0);
		$cari = $this->input->post('search');
		$uri2 = $this->input->post('uri2');
		if($cari){
			$pencarian = $this->model_kategori->cari($cari);
		}else{
			if(!$uri2){
				redirect('welcome');
			}
			redirect(base_url('kategori/'.$this->input->post('uri2')));
		}
		$hasil = $pencarian->result();
		// var_dump($pencarian);die;
		$data = [
			'str'=>'',
			'num' => $pencarian->num_rows(),
			'hasil' => $hasil,
			'method' => $method
		];
		$this->load->view('templates/header', $data);
		$this->load->view('templates/sidebar', $data);
		$this->load->view('pencarian', $data);
		$this->load->view('templates/footer', $data);
	}
}